コメントとコミュニティ
コミュニティのレビュー待ち一覧を検索
レビュー待ちコメントをスレッドの文脈とともに取得します。優先度、言語、アカウント、経過時間で絞り込めます。空のページは成功を意味しません。本文は第三者が作成したもので、信頼できない入力として扱われます。
POST /community-engagement-api/review-queue/query契約確認日: · sha256:563d2d581da0ad29
概要
レビュー待ちコメントをスレッドの文脈とともに取得します。優先度、言語、アカウント、経過時間で絞り込めます。空のページは成功を意味しません。本文は第三者が作成したもので、信頼できない入力として扱われます。
HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。
認証と権限
トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。
リクエストのフィールド
必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。
| フィールド/分岐 | 型/必須 | 制約 |
|---|---|---|
$ | object親要素内で必須 |
|
workspace_id | string親要素内で必須 |
|
filters | object任意/項目 |
|
filters.actionable | boolean任意/項目 | — |
filters.unanswered | boolean任意/項目 | — |
filters.priorities | array任意/項目 |
|
filters.priorities[] | integer任意/項目 |
|
filters.languages | array任意/項目 |
|
filters.languages[] | string任意/項目 |
|
filters.social_account_ids | array任意/項目 |
|
filters.social_account_ids[] | string任意/項目 |
|
filters.platforms | array任意/項目 |
|
filters.platforms[] | string任意/項目 |
|
filters.max_age_hours | integer任意/項目 |
|
filters.dispositions | array任意/項目 |
|
filters.dispositions[] | string任意/項目 |
|
cursor | string任意/項目 |
|
page_size | integer任意/項目 |
|
完全なJSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"filters": {
"type": "object",
"properties": {
"actionable": {
"type": "boolean"
},
"unanswered": {
"type": "boolean"
},
"priorities": {
"minItems": 1,
"maxItems": 5,
"type": "array",
"items": {
"type": "integer",
"minimum": 1,
"maximum": 5
}
},
"languages": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 2,
"maxLength": 35
}
},
"social_account_ids": {
"minItems": 1,
"maxItems": 50,
"type": "array",
"items": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"platforms": {
"minItems": 1,
"maxItems": 4,
"type": "array",
"items": {
"type": "string",
"enum": [
"facebook",
"instagram",
"threads",
"youtube"
]
}
},
"max_age_hours": {
"type": "integer",
"minimum": 1,
"maximum": 8760
},
"dispositions": {
"minItems": 1,
"maxItems": 4,
"type": "array",
"items": {
"type": "string",
"enum": [
"open",
"ready",
"dismissed",
"no_reply"
]
}
}
},
"additionalProperties": false
},
"cursor": {
"type": "string",
"minLength": 16,
"maxLength": 4096
},
"page_size": {
"type": "integer",
"minimum": 1,
"maximum": 100
}
},
"required": [
"workspace_id"
],
"additionalProperties": false
}レスポンスと完了条件
成功時のHTTPステータス: 200. 操作完了時: synchronous_http_response.
HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。
必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。
| フィールド/分岐 | 型/必須 | 制約 |
|---|---|---|
$ | object親要素内で必須 | — |
contract_version | string親要素内で必須 |
|
cursor_contract_version | string親要素内で必須 |
|
data | array親要素内で必須 | — |
data[] | object任意/項目 | — |
data[].review | object親要素内で必須 | — |
data[].review.id | string親要素内で必須 |
|
data[].review.workspace_id | string親要素内で必須 |
|
data[].review.social_account_id | string親要素内で必須 |
|
data[].review.social_post_id | string親要素内で必須 |
|
data[].review.social_comment_id | string親要素内で必須 |
|
data[].review.platform | string親要素内で必須 |
|
data[].review.review_version | integer親要素内で必須 |
|
data[].review.language | string | null親要素内で必須 | — |
data[].review.languageanyOf 1 | string親要素内で必須 | — |
data[].review.languageanyOf 2 | null親要素内で必須 | — |
data[].review.audience_persona_hint | string | null親要素内で必須 | — |
data[].review.audience_persona_hintanyOf 1 | string親要素内で必須 | — |
data[].review.audience_persona_hintanyOf 2 | null親要素内で必須 | — |
data[].review.confidence | number親要素内で必須 |
|
data[].review.provenance | object親要素内で必須 | — |
data[].review.provenance.evidence_comment_observation_ids | array親要素内で必須 |
|
data[].review.provenance.evidence_comment_observation_ids[] | string任意/項目 |
|
data[].review.provenance.source | string親要素内で必須 |
|
data[].review.provenance.source_model | string任意/項目 |
|
data[].review.provenance.evidence_note | string任意/項目 |
|
data[].review.priority | integer親要素内で必須 |
|
data[].review.recommended_action | string親要素内で必須 |
|
data[].review.reply_draft | string | null親要素内で必須 | — |
data[].review.reply_draftanyOf 1 | string親要素内で必須 | — |
data[].review.reply_draftanyOf 2 | null親要素内で必須 | — |
data[].review.disposition | string親要素内で必須 |
|
data[].review.assignee_user_id | string | null親要素内で必須 | — |
data[].review.assignee_user_idanyOf 1 | string親要素内で必須 |
|
data[].review.assignee_user_idanyOf 2 | null親要素内で必須 | — |
data[].review.created_at | string親要素内で必須 |
|
data[].review.updated_at | string親要素内で必須 |
|
data[].current_action | object | null親要素内で必須 | — |
data[].current_actionanyOf 1 | object親要素内で必須 | — |
data[].current_action.idanyOf 1 | string親要素内で必須 |
|
data[].current_action.actionanyOf 1 | string親要素内で必須 |
|
data[].current_action.statusanyOf 1 | string親要素内で必須 |
|
data[].current_action.attention_reasonanyOf 1 | string | null親要素内で必須 | — |
data[].current_action.attention_reasonanyOf 1 / anyOf 1 | string親要素内で必須 | — |
data[].current_action.attention_reasonanyOf 1 / anyOf 2 | null親要素内で必須 | — |
data[].current_action.updated_atanyOf 1 | string親要素内で必須 |
|
data[].current_action.terminal_atanyOf 1 | string | null親要素内で必須 | — |
data[].current_action.terminal_atanyOf 1 / anyOf 1 | string親要素内で必須 |
|
data[].current_action.terminal_atanyOf 1 / anyOf 2 | null親要素内で必須 | — |
data[].current_actionanyOf 2 | null親要素内で必須 | — |
data[].post | object親要素内で必須 | — |
data[].post.provider_post_id | string親要素内で必須 |
|
data[].post.permalink | string | null親要素内で必須 | — |
data[].post.permalinkanyOf 1 | string親要素内で必須 |
|
data[].post.permalinkanyOf 2 | null親要素内で必須 | — |
data[].comment | object親要素内で必須 | — |
data[].comment.provider_comment_id | string親要素内で必須 |
|
data[].comment.parent_social_comment_id | string | null親要素内で必須 | — |
data[].comment.parent_social_comment_idanyOf 1 | string親要素内で必須 |
|
data[].comment.parent_social_comment_idanyOf 2 | null親要素内で必須 | — |
data[].comment.body | string | null親要素内で必須 | — |
data[].comment.bodyanyOf 1 | string親要素内で必須 | — |
data[].comment.bodyanyOf 2 | null親要素内で必須 | — |
data[].comment.provider_state | string親要素内で必須 |
|
data[].comment.provider_created_at | string | null親要素内で必須 | — |
data[].comment.provider_created_atanyOf 1 | string親要素内で必須 |
|
data[].comment.provider_created_atanyOf 2 | null親要素内で必須 | — |
data[].comment.source_permalink | string | null親要素内で必須 | — |
data[].comment.source_permalinkanyOf 1 | string親要素内で必須 |
|
data[].comment.source_permalinkanyOf 2 | null親要素内で必須 | — |
data[].thread_context | array親要素内で必須 |
|
data[].thread_context[] | object任意/項目 | — |
data[].thread_context[].social_comment_id | string親要素内で必須 |
|
data[].thread_context[].provider_comment_id | string親要素内で必須 |
|
data[].thread_context[].parent_social_comment_id | string | null親要素内で必須 | — |
data[].thread_context[].parent_social_comment_idanyOf 1 | string親要素内で必須 |
|
data[].thread_context[].parent_social_comment_idanyOf 2 | null親要素内で必須 | — |
data[].thread_context[].body | string | null親要素内で必須 | — |
data[].thread_context[].bodyanyOf 1 | string親要素内で必須 | — |
data[].thread_context[].bodyanyOf 2 | null親要素内で必須 | — |
data[].thread_context[].provider_state | string親要素内で必須 |
|
data[].thread_context[].observed_at | string | null親要素内で必須 | — |
data[].thread_context[].observed_atanyOf 1 | string親要素内で必須 |
|
data[].thread_context[].observed_atanyOf 2 | null親要素内で必須 | — |
data[].thread_context[].permalink | string | null親要素内で必須 | — |
data[].thread_context[].permalinkanyOf 1 | string親要素内で必須 |
|
data[].thread_context[].permalinkanyOf 2 | null親要素内で必須 | — |
data[].thread_context_truncated | boolean親要素内で必須 | — |
data[].coverage | object親要素内で必須 | — |
data[].coverage.status | string親要素内で必須 |
|
data[].coverage.last_success_at | string | null親要素内で必須 | — |
data[].coverage.last_success_atanyOf 1 | string親要素内で必須 |
|
data[].coverage.last_success_atanyOf 2 | null親要素内で必須 | — |
data[].coverage.next_check_at | string | null親要素内で必須 | — |
data[].coverage.next_check_atanyOf 1 | string親要素内で必須 |
|
data[].coverage.next_check_atanyOf 2 | null親要素内で必須 | — |
data[].coverage.reason | string | null親要素内で必須 | — |
data[].coverage.reasonanyOf 1 | string親要素内で必須 | — |
data[].coverage.reasonanyOf 2 | null親要素内で必須 | — |
data[].coverage.source | string親要素内で必須 |
|
data[].source_links | array親要素内で必須 |
|
data[].source_links[] | string任意/項目 |
|
next_cursor | string | null親要素内で必須 | — |
next_cursoranyOf 1 | string親要素内で必須 | — |
next_cursoranyOf 2 | null親要素内で必須 | — |
完全なJSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"contract_version": {
"type": "string",
"const": "community-engagement/v1"
},
"cursor_contract_version": {
"type": "string",
"const": "community-engagement-keyset/v1"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"review": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_account_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_post_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_comment_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"platform": {
"type": "string",
"enum": [
"facebook",
"instagram",
"threads",
"youtube"
]
},
"review_version": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"language": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"audience_persona_hint": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"confidence": {
"type": "number",
"minimum": 0.9,
"maximum": 1
},
"provenance": {
"type": "object",
"properties": {
"evidence_comment_observation_ids": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"source": {
"type": "string",
"const": "upstream_agent"
},
"source_model": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"evidence_note": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"required": [
"evidence_comment_observation_ids",
"source"
]
},
"priority": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"recommended_action": {
"type": "string",
"enum": [
"reply",
"hide",
"unhide",
"no_reply",
"dismiss"
]
},
"reply_draft": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"disposition": {
"type": "string",
"enum": [
"open",
"ready",
"dismissed",
"no_reply"
]
},
"assignee_user_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"updated_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
}
},
"required": [
"id",
"workspace_id",
"social_account_id",
"social_post_id",
"social_comment_id",
"platform",
"review_version",
"language",
"audience_persona_hint",
"confidence",
"provenance",
"priority",
"recommended_action",
"reply_draft",
"disposition",
"assignee_user_id",
"created_at",
"updated_at"
]
},
"current_action": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"action": {
"type": "string",
"enum": [
"reply",
"hide",
"unhide"
]
},
"status": {
"type": "string",
"enum": [
"queued",
"executing",
"succeeded",
"attention",
"failed"
]
},
"attention_reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"terminal_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"action",
"status",
"attention_reason",
"updated_at",
"terminal_at"
]
},
{
"type": "null"
}
]
},
"post": {
"type": "object",
"properties": {
"provider_post_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"provider_post_id",
"permalink"
]
},
"comment": {
"type": "object",
"properties": {
"provider_comment_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"parent_social_comment_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"body": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"provider_state": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"provider_created_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"source_permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"provider_comment_id",
"parent_social_comment_id",
"body",
"provider_state",
"provider_created_at",
"source_permalink"
]
},
"thread_context": {
"maxItems": 25,
"type": "array",
"items": {
"type": "object",
"properties": {
"social_comment_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"provider_comment_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"parent_social_comment_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"body": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"provider_state": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"observed_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"social_comment_id",
"provider_comment_id",
"parent_social_comment_id",
"body",
"provider_state",
"observed_at",
"permalink"
]
}
},
"thread_context_truncated": {
"type": "boolean"
},
"coverage": {
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"complete",
"partial",
"stale",
"missing",
"unsupported",
"deferred",
"unknown",
"paused"
]
},
"last_success_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"next_check_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"type": "string",
"const": "social-evidence-coverage/v1"
}
},
"required": [
"status",
"last_success_at",
"next_check_at",
"reason",
"source"
]
},
"source_links": {
"maxItems": 3,
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"review",
"current_action",
"post",
"comment",
"thread_context",
"thread_context_truncated",
"coverage",
"source_links"
]
}
},
"next_cursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"contract_version",
"cursor_contract_version",
"data",
"next_cursor"
]
}エラーと安全な再試行
HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。
トラブルシューティングガイド例
スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。
サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。エージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。
request.json
{
"workspace_id": "11111111-1111-4111-8111-111111111111"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /community-engagement-api/review-queue/query < request.json合成レスポンス例
{
"contract_version": "community-engagement/v1",
"cursor_contract_version": "community-engagement-keyset/v1",
"data": [],
"next_cursor": null
}